<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:background="@color/black_alpha_30">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/poster"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        app:actualImageScaleType="centerCrop"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:viewAspectRatio="1.395" />

    <View
        android:id="@+id/maskView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@drawable/game_collection_detail_poster_mask"
        app:layout_constraintDimensionRatio="h,360:258"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/nameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="30dp"
        android:layout_marginBottom="8dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="2dp"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="22sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/imageItemDesContainer"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/tagIv"
        tools:text="MOBA 手游集合，绝不氪金 5V5 公平对战" />

    <ImageView
        android:id="@+id/tagIv"
        android:layout_width="56dp"
        android:layout_height="22dp"
        android:layout_marginTop="2dp"
        android:layout_marginRight="16dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/nameTv"
        tools:src="@drawable/ic_official_big" />

    <FrameLayout
        android:id="@+id/imageItemDesContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/imageActivityLabelTv"
        app:layout_constraintLeft_toLeftOf="@+id/nameTv"
        app:layout_constraintRight_toRightOf="@+id/nameTv"
        app:layout_goneMarginBottom="32dp">

        <TextView
            android:id="@+id/imageItemDesTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawablePadding="4dp"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/white_alpha_80"
            android:textSize="12sp"
            app:drawableEndCompat="@drawable/ic_game_collection_jump_light"
            app:drawableStartCompat="@drawable/ic_game_collection_des"
            tools:text="眼花缭乱的众多游戏～" />

    </FrameLayout>

    <TextView
        android:id="@+id/imageActivityLabelTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="32dp"
        android:background="@drawable/button_round_black_alpha_60"
        android:drawablePadding="2dp"
        android:paddingStart="8dp"
        android:paddingTop="5dp"
        android:paddingEnd="8dp"
        android:paddingBottom="5dp"
        android:singleLine="true"
        android:textColor="@color/game_collection_activity"
        android:textSize="@dimen/tag_text_size"
        android:visibility="gone"
        app:drawableStartCompat="@drawable/ic_game_collection_activity"
        app:layout_constraintBottom_toTopOf="@id/userIcon"
        app:layout_constraintStart_toStartOf="@+id/imageItemDesContainer"
        tools:text="第四期新星up主计划" />

    <View
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/black_alpha_20"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/userIcon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp"
        app:avatar_width="24dp"
        app:badge_width="8dp"
        app:border_ratio="1"
        app:border_width="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@+id/nameTv"
        tools:layout_height="24dp"
        tools:layout_width="24dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/userInfo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:gravity="center_vertical"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon"
        app:layout_constraintStart_toEndOf="@+id/userIcon"
        app:layout_constraintTop_toTopOf="@+id/userIcon">

        <TextView
            android:id="@+id/userNameTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/white_alpha_80"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="测试用户名" />

        <TextView
            android:id="@+id/authTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/white_alpha_60"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/userNameTv"
            tools:text="认证名称"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/ipRegionTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginLeft="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/white_alpha_60"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            app:layout_goneMarginStart="0dp"
            app:layout_constraintStart_toEndOf="@+id/authTv"
            app:layout_constraintTop_toBottomOf="@+id/userNameTv"
            tools:text="IP属地：广东"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/imageItemFollowTv"
        android:layout_width="48dp"
        android:layout_height="24dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/button_round_black_alpha_60"
        android:gravity="center"
        android:text="关注"
        android:textColor="@color/white_alpha_80"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userIcon"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/imageItemFollowedTv"
        android:layout_width="60dp"
        android:layout_height="24dp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/button_round_black_alpha_60"
        android:gravity="center"
        android:text="已关注"
        android:textColor="@color/white_alpha_40"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userIcon" />
</androidx.constraintlayout.widget.ConstraintLayout>